ConnectiveGeometry Class |
A class for geometry formed of several geometry sections. Geometry is initialized with polygon geometry
and then can be extended by calling one of AddLeg methods using BentPlateGeometrySolver class.
In the case of success, two polygon geometries will be connected by cylindrical surface geometry possibly
with help of additional polygon geometries.
Resulted geometry, then, can be set to bent plate.
Inheritance Hierarchy
Namespace: Tekla.Structures.Model
Assembly: Tekla.Structures.Model (in Tekla.Structures.Model.dll) Version: 2024.0.0+a110b435391768740483e3032720a566518c9a63
Syntax
The ConnectiveGeometry type exposes the following members.
Constructors
Name | Description | |
---|---|---|
ConnectiveGeometry(BendSurface) |
Initializes a new instance of the ConnectiveGeometry class for a stand-alone bend creation.
| |
ConnectiveGeometry(Contour) |
Initializes a new instance of the ConnectiveGeometry class.
|
Methods
Name | Description | |
---|---|---|
GetConnection |
Returns 2 connecting line segments between geometrySection1 and geometrySection2 sections, if sections are connected, otherwise returns empty list.
| |
GetGeometryEnumerator |
Gets a new geometry sections enumerator for enumerating through the geometry sections.
| |
GetGeometryLegSections |
Gets geometry end GeometrySections which are possible to remove.
| |
GetNeighborSections |
Gets neighbor sections of the geometrySection inside this ConnectiveGeometry.
| |
IsEmpty |
Checks whether the geometry is degenerate
|
Fields
Name | Description | |
---|---|---|
InvalidGeometrySectionIndex |
An invalid geometry section index.
|
Examples
using Tekla.Structures.Geometry3d; using Tekla.Structures.Model; public class Example { var contour1 = new Contour(); contour1.AddContourPoint(new ContourPoint(new Point(6000.0, 8500.0, 0.0), null)); contour1.AddContourPoint(new ContourPoint(new Point(6000.0, 6000.0, 0.0), null)); contour1.AddContourPoint(new ContourPoint(new Point(12000.0, 6000.0, 0.0), null)); contour1.AddContourPoint(new ContourPoint(new Point(12000.0, 8500.0, 0.0), null)); var geometry = new ConnectiveGeometry(contour1); var contour2 = new Contour(); contour2.AddContourPoint(new ContourPoint(new Point(15000.0, 8500.0, 1000.0), null)); contour2.AddContourPoint(new ContourPoint(new Point(15000.0, 6000.0, 1000.0), null)); contour2.AddContourPoint(new ContourPoint(new Point(19600.0, 6000.0, 3500.0), null)); contour2.AddContourPoint(new ContourPoint(new Point(19600.0, 8500.0, 3500.0), null)); var radius = 2000.0; var bentPlateGeometrySolver = new BentPlateGeometrySolver(); var newGeometry = bentPlateGeometrySolver.AddLeg(geometry, contour2, radius); }
See Also